; DEFAULTS.PM
;
; Sample default configuration file for Pmail 2.3.
; (c) 1992, David Harris, All Rights Reserved.
;
; DEFAULTS.PM allows you to create a limited form of "default
; user profile". If it exists, it must be found in the same
; directory as PMAIL.EXE. It is a simple text file consisting
; of comments (any blank line, or line starting with a semi-
; colon, space or tab) and keyword/parameter sets. Parameters
; can contain "command substitutions", or special character
; sequences which are replaced with other values at run-time.
; Command substitution is discussed in detail in the User-
; defined gateway manual UDG.TXT in UDG.ZIP with this archive.
; However, you will commonly use the following substitutions:
;
;    ~8   replaced by the first 8 chars in the username
;    ~b   replaced by the user's bindery ID (a long Hex value).
;
; Pmail 2.3 recognises the following keywords:
;
;   homebox   Where the user's home mailbox should be placed.
;      The directory must exist - Pmail will not create it,
;      and may behave unpredictably if it is not present.
;
;   copyself  Y, N, or P - the user's default value for copy-
;      to-self. P forces Pmail to prompt for the value at
;      send time.
;
;   scratch   A work area, in which the user has full rights.
;      If you do not define a TMP or TEMP variable on your
;      system, you should provide a value for this, or else
;      external editors and some browser commands may fail.
;
; Other values may be added in future versions.


; First, define a home mailbox location: in the following
; example setting, a user called DAVID will have his home
; mailbox path set to "C:\MAIL\DAVID". A user called
; TWASHINGTON will have it set to "C:\MAIL\TWASHING".
; Remember! The directory must already exist!

homebox    c:\mail\~8

; Now, set a scratch area: in this example we'll set the
; scratch area to the user's mailbox in SYS:MAIL. Note that
; although we could use NetWare syntax for this, some
; programs might not accept it when it was passed to them,
; so we use a regular DOS path instead.

scratch    Z:\MAIL\~B

; And last, we'll tell Pmail to prompt the user for copy-
; to-self at send time.

copyself   P

